#====
# Weapon Tag Class
#====

import os, sys, math
import pygame
from pygame.locals import *
from equates import *
from helpers import *

class WeaponTagSprite(pygame.sprite.Sprite):

	def __init__(self,image,position,min_level,weapon_number,current_flag):
		pygame.sprite.Sprite.__init__(self)
		self.image, self.rect = load_image(image,None,position)
		if self.rect == None:
			self.rect = self.image.get_rect()			
		self.src_image = self.image
		self.position = position
		self.min_level = min_level
		self.weapon_number = weapon_number
		self.current_flag = current_flag