from distutils.core import setup
import py2exe, pygame
import glob, shutil

setup(
	console=[
		{
			'script': 'game.py',
			'icon_resources': [(1, 'data/images/spaceofficefight.ico')]
		}
	],
	name='Space Office Fight',
	version='1.0.0',
	description='You, a lowly Office Worker, battle against the Beauracracy!',
	author='Stu Andrews',
	py_modules=['equates','helpers','enemy_manager','enemy_visitingsuits','enemy_uppermanagement','player','powerup_lifespan','powerup_damage','powerup_multi','powerup_through','weapon_one','weapon_tag','weapon_two','weapon_three','weapon_three_base','powerup_maxhealth']
)

shutil.copytree('data','dist/data')
shutil.copyfile('freesansbold.ttf','dist/freesansbold.ttf')