#====
# Powerup Weapon Two Class
#====

import os, sys, math
import pygame
from pygame.locals import *
from equates import *
from helpers import *

class PowerupWeaponTwoSprite(pygame.sprite.Sprite):

	def __init__(self,position):
		pygame.sprite.Sprite.__init__(self)				
		self.image, self.rect = load_image('powerup_weapon_two.png',None,position)
		if self.rect == None:
			self.rect = rect
		self.position = position
		self.lifespan = POWERUP_START_LIFESPAN
		self.age = 0
		self.pickup_sound = load_sound('powerup_weapon_two.ogg')
		self.pickup_sound.set_volume(0.75)
		
	def update(self,deltat):
		# .. Life Check
		self.age += 1
		if self.age == self.lifespan:
			self.kill()